Package org.apache.sysds.runtime.data

## Class LibTensorBincell

- java.lang.Object
- - org.apache.sysds.runtime.data.LibTensorBincell

    public class LibTensorBincell
    extends Object

### Constructor Summary

Constructors
`LibTensorBincell()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `bincellOp​(TensorBlock m1, TensorBlock m2, TensorBlock ret, BinaryOperator op)` tensor-tensor binary operations
`static boolean` `isValidDimensionsBinary​(TensorBlock m1, TensorBlock m2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibTensorBincell

    public LibTensorBincell()

### Method Detail

#### isValidDimensionsBinary

    public static boolean isValidDimensionsBinary​(TensorBlock m1,
                                                  TensorBlock m2)

#### bincellOp

    public static void bincellOp​(TensorBlock m1,
                                 TensorBlock m2,
                                 TensorBlock ret,
                                 BinaryOperator op)

tensor-tensor binary operations

Parameters:
  `m1` - input tensor 1
  `m2` - input tensor 2
  `ret` - result tensor
  `op` - binary operator